| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []string | Object ID List |
| deleteType | yes | int | Delete type:0 means restore to object, 1 means put the object in the recycle bin, 2 means delete the object. |
| recyclingBinTime | no | int | Time to put into the recycle bin |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation batchDeleteObject { batchDeleteObject(input: {objectIdList:[\"dfa\",\"2222\",\"3333\"], deleteType: 2, recyclingBinTime: 0 }) { errorCode errorInfo } }"
}'{
"data": {
"batchDeleteObject": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}